<div class="header text-center">
  <h1>My recipes Website</h1>
</div>

<ng-miam-recipe-tags extId="329815"></ng-miam-recipe-tags>

<div class="container">
  <div class="section">
    <h2>Order button</h2>
    <p>
      Use Miam to automatically order the ingredients of this recipe:
    </p>
    <b>{{ recipe.title }}</b>
    <ul>
      <li *ngFor="let ing of recipe['ingredients-str']">{{ ing }}</li>
    </ul>

    <!-- Use locale attribute to redirect to the right version of Miam -->
    <ng-miam-order-button (onError)="onError($event)" (onSaved)="onListReady($event)" [openOnSave]="false"
      [recipe]="recipe" class="mr-2" locale="fr" text="Commander les ingrédients">
    </ng-miam-order-button>
  </div>

  <div class="section">
    <h2>Recipe card</h2>
    <div class="local-row">
      <ng-miam-recipe-card [context]='emptyContext'></ng-miam-recipe-card>
      <ng-miam-recipe-card [context]='context'></ng-miam-recipe-card>
      <ng-miam-recipe-card [context]='context'></ng-miam-recipe-card>
    </div>
  </div>
  
  <div class="section">
    <h2> random recipe</h2>
    <ng-miam-display-recipe-card  [recipe]='randomRecipe'></ng-miam-display-recipe-card>
    <h2> recipe card from id</h2>
    <ng-miam-recipe-card-from-id [recipeId]='2516'></ng-miam-recipe-card-from-id >
  </div>
  <div class="section">
    <h2>Recipe details modal</h2>
    Service method to open a modal with details of a given recipe (eg: can be called upon URL change) <br />
    <a *ngIf="randomRecipe" [routerLink]="['/any-page', { displayRecipe: randomRecipe.id }]">Show recipe details</a>
  </div>
  <div class="section">
    <h2>Basket preview</h2>
    <strong *ngIf="basketStats">{{ basketStats.recipesCount }} repas, {{ basketStats.entriesCount }} articles, pour un total de {{ basketStats.totalPrice?.toFixed(2) }} €</strong>
    <ng-miam-basket-preview-block (statsUpdated)="basketStats = $event"></ng-miam-basket-preview-block>
    <button (click)="confirmBasket()">Confirm basket</button>
    <button (click)="payBasket()">Pay basket</button>
  </div>
  <div class="section">
    <ng-miam-recipes-history></ng-miam-recipes-history>
  </div>
  <div class="section">
    <ng-miam-list-input [hint]="placholderIngredient"></ng-miam-list-input>
  </div>
</div>
<div class="section">
  <h2>create</h2>
  <ng-miam-recipe-form></ng-miam-recipe-form>
</div>
<div class="section">
  <h2>update</h2>
  <ng-miam-recipe-form  [recipe]='randomRecipe'></ng-miam-recipe-form>
</div>
<div class="section">
  <ng-miam-drag-drop-input (onFileDropped)="onLog($event)"></ng-miam-drag-drop-input>
</div>
<div class="section">
  <ng-miam-planner></ng-miam-planner>
</div>
<div class="section">
  <h2>Recipe catalog</h2>
  <ng-miam-recipe-catalog></ng-miam-recipe-catalog>
</div>
<div class="section">
  <h2>Favorite list</h2>
  <ng-miam-favorite-page></ng-miam-favorite-page>
</div>
<div class="section">
  <h2>Personal recipes</h2>
  <ng-miam-personal-recipes></ng-miam-personal-recipes>
</div>
<div class="section">
  <h2>Icons</h2>
  <div *ngFor="let k of icons" [ngStyle]="{'display': 'flex','gap': '16px', 'font-size':'20px', 'margin':'8px'}">
    <div>{{k}}</div>
    <ng-miam-icon [iconName]="icon[k]" [height]="32" [width]="32"></ng-miam-icon>
  </div>
</div>
<ng-miam-drawer></ng-miam-drawer>